package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 *  部门招商计划对象 bm_dept_plan
 * 
 * @author ruoyi
 * @date 2021-03-09
 */
public class BmDeptPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private String year;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;



    /** 当年实际到位资金目标任务(万元) */
    @Excel(name = "当年实际到位资金目标任务(万元)")
    private BigDecimal targetContractAmount;

    /** 当年新签约金额目标任务(万元) */
    @Excel(name = "当年新签约金额目标任务(万元)")
    private BigDecimal targetArrivalAmount;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }

    public void setTargetContractAmount(BigDecimal targetContractAmount) 
    {
        this.targetContractAmount = targetContractAmount;
    }

    public BigDecimal getTargetContractAmount() 
    {
        return targetContractAmount;
    }
    public void setTargetArrivalAmount(BigDecimal targetArrivalAmount) 
    {
        this.targetArrivalAmount = targetArrivalAmount;
    }

    public BigDecimal getTargetArrivalAmount() 
    {
        return targetArrivalAmount;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
